Bug 598562 (CVE-2010-2097, MOPS-2010-032, MOPS-2010-033, MOPS-2010-034) - CVE-2010-2097 PHP: iconv_mime_decode(), iconv_substr(), iconv_mime_encode() interruption flaws (MOPS-2010-032 MOPS-2010-033 MOPS-2010-034)
Summary: CVE-2010-2097 PHP: iconv_mime_decode(), iconv_substr(), iconv_mime_encode() i...
Status: CLOSED DUPLICATE of bug 169857
Alias: CVE-2010-2097, MOPS-2010-032, MOPS-2010-033, MOPS-2010-034
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=none,source=cve,reported=20100...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-01 15:56 UTC by Jan Lieskovsky
Modified: 2015-08-19 08:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-26 09:36:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Local copy of MOPS-2010-032.php reproducer (1.26 KB, text/plain)
2010-06-01 15:58 UTC, Jan Lieskovsky
no flags Details
Local copy of MOPS-2010-033.php reproducer (1.28 KB, text/plain)
2010-06-01 15:59 UTC, Jan Lieskovsky
no flags Details
Local copy of MOPS-2010-034.php reproducer (1.38 KB, text/plain)
2010-06-01 15:59 UTC, Jan Lieskovsky
no flags Details

Description Jan Lieskovsky 2010-06-01 15:56:58 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-2097 to
the following vulnerability:

The (1) iconv_mime_decode, (2) iconv_substr, and (3) iconv_mime_encode
functions in PHP 5.2 through 5.2.13 and 5.3 through 5.3.2 allow
context-dependent attackers to obtain sensitive information (memory
contents) by causing a userspace interruption of an internal function,
related to the call time pass by reference feature.

References:
  [1] http://php-security.org/2010/05/18/mops-2010-032-php-iconv_mime_decode-interruption-information-leak-vulnerability/index.html
  [2] http://php-security.org/2010/05/18/mops-2010-033-php-iconv_substr-interruption-information-leak-vulnerability/index.html
  [3] http://php-security.org/2010/05/18/mops-2010-034-php-iconv_mime_encode-interruption-information-leak-vulnerability/index.html

Credit: All three flaws discovered by Stefan Esser.

Comment 1 Jan Lieskovsky 2010-06-01 15:58:24 UTC
Created attachment 418694 [details]
Local copy of MOPS-2010-032.php reproducer

Comment 2 Jan Lieskovsky 2010-06-01 15:59:03 UTC
Created attachment 418696 [details]
Local copy of MOPS-2010-033.php reproducer

Comment 3 Jan Lieskovsky 2010-06-01 15:59:44 UTC
Created attachment 418697 [details]
Local copy of MOPS-2010-034.php reproducer

Comment 7 Tomas Hoger 2010-07-26 09:36:56 UTC
Closing this, see bug #617578, comment #3 for more detailed explanation.

*** This bug has been marked as a duplicate of bug 169857 ***

Comment 8 Tomas Hoger 2010-07-26 09:37:19 UTC
Statement:

Red Hat does not consider interruption issues allowing safe_mode / open_basedir
restriction bypass to be security sensitive.  For more details see
https://bugzilla.redhat.com/show_bug.cgi?id=169857#c1 and
http://www.php.net/security-note.php


Note You need to log in before you can comment on or make changes to this bug.